Frequently getting "You must update your .htaccess file"

Dear Sir,

I am frequently getting an error or a prompt "You must update your .htaccess file so that the path is injected into the GET parameter __elgg_uri (you can use install/config/htaccess.dist as a guide)."

I am not sure, why I am getting this. Furthermore, I have tried copying a fresh htaccess.dist  file to the root. and renamed it. I have even tried setting the permission to 777 on a temporary basis. When I make the .htaccess to 777 it temporarily solves but can't obviously keep it to 777 right. 

FYI I am using elgg 2.3x (the latest LTS) version.

Has anyone run into similar prompts. Any remedies.